Module jdk.compiler
Package com.sun.source.tree

## Interface ModifiersTree

All Superinterfaces:
  `Tree`

    public interface ModifiersTree
    extends Tree

A tree node for the modifiers, including annotations, for a declaration. For example:

       flags

       flags annotations

Since:
  1.6
See The Java™ Language Specification:
  sections 8.1.1, 8.3.1, 8.4.3, 8.5.1, 8.8.3, 9.1.1, and 9.7

### Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`List<? extends AnnotationTree>` `getAnnotations()` Returns the annotations in this modifiers tree.
`Set<Modifier>` `getFlags()` Returns the flags in this modifiers tree.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getFlags

    Set<Modifier> getFlags()

Returns the flags in this modifiers tree.

Returns:
  the flags

#### getAnnotations

    List<? extends AnnotationTree> getAnnotations()

Returns the annotations in this modifiers tree.

Returns:
  the annotations